### Hierarchy

- ConnectionHelper

## Index

### Constructors

- constructor

### Properties

- _pool

### Methods

- addConnection
- dropConnection
- getConnection
- hasConnection
- validateDatabaseName

## Constructors

### constructor

- new ConnectionHelper(): ConnectionHelper

- - Defined in utils/ConnectionHelper.ts:20

  #### Returns ConnectionHelper

## Properties

### Private _pool

_pool: Array<Connection> = []

- Defined in utils/ConnectionHelper.ts:20

## Methods

### addConnection

- addConnection(name: string, id: any, instance: MongoPortable): void

- - Defined in utils/ConnectionHelper.ts:24

  #### Parameters

  - ##### name: string

  - ##### id: any

  - ##### instance: MongoPortable

  #### Returns void

### dropConnection

- dropConnection(name: string): boolean

- - Defined in utils/ConnectionHelper.ts:40

  #### Parameters

  - ##### name: string

  #### Returns boolean

### getConnection

- getConnection(name: string): Connection

- - Defined in utils/ConnectionHelper.ts:30

  #### Parameters

  - ##### name: string

  #### Returns Connection

### hasConnection

- hasConnection(name: string): boolean

- - Defined in utils/ConnectionHelper.ts:52

  #### Parameters

  - ##### name: string

  #### Returns boolean

### Private validateDatabaseName

- validateDatabaseName(name: string): boolean

- - Defined in utils/ConnectionHelper.ts:72

  Validates the database name

  method

    MongoPortable#_validateDatabaseName

  #### Parameters

  - ##### name: string

  #### Returns boolean

  "true" if the name is valid

Generated using TypeDoc